org.eclipse.net4j.util.collection

## Interface IHistory<T>

- All Superinterfaces:
    INotifier, Iterable<IHistoryElement<T>>
  All Known Implementing Classes:
    History, PreferenceHistory

      public interface IHistory<T>
      extends INotifier, Iterable<IHistoryElement<T>>

  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `add(T data)`
    `boolean` | `clear()`
    `IHistoryElement<T>` | `get(int index)`
    `<D> D[]` | `getData(D[] a)`
    `T` | `getMostRecent()`
    `int` | `indexOf(T data)`
    `boolean` | `isEmpty()`
    `IHistoryElement<T>` | `remove(int index)`
    `int` | `size()`
    `IHistoryElement<T>[]` | `toArray()`

    - ### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

      `addListener, getListeners, hasListeners, removeListener`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, iterator, spliterator`

- - ### Method Detail

    - #### isEmpty

          boolean isEmpty()

    - #### size

          int size()

    - #### clear

          boolean clear()

    - #### indexOf

          int indexOf(T data)

    - #### add

          boolean add(T data)

    - #### remove

          IHistoryElement<T> remove(int index)

    - #### get

          IHistoryElement<T> get(int index)

    - #### getMostRecent

          T getMostRecent()

    - #### getData

          <D> D[] getData(D[] a)

    - #### toArray

          IHistoryElement<T>[] toArray()

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html